﻿using System;
using System.ServiceModel;

namespace Contracts
{
    /// <summary>
    /// 计算协议
    /// </summary>
    [ServiceContract(Namespace = "http://www.yank.com/")]
    public interface ICalculator
    {
        /// <summary>
        /// 加
        /// </summary>
        /// <param name="x"></param>
        /// <param name="y"></param>
        /// <returns></returns>
        [OperationContract]
        double Add(double x, double y);
        /// <summary>
        /// 减
        /// </summary>
        /// <param name="x"></param>
        /// <param name="y"></param>
        /// <returns></returns>
        [OperationContract]
        double Subtract(double x, double y);
        /// <summary>
        /// 乘
        /// </summary>
        /// <param name="x"></param>
        /// <param name="y"></param>
        /// <returns></returns>
        [OperationContract]
        double Multiply(double x, double y);
        /// <summary>
        /// 除
        /// </summary>
        /// <param name="x"></param>
        /// <param name="y"></param>
        /// <returns></returns>
        [OperationContract]
        double Divide(double x, double y);
    }
}
